import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Query;

public class ProfessorService {
  protected EntityManager em;

  public ProfessorService(EntityManager em) {
    this.em = em;
  }

  public List findProfessorWithAddress() {
    Query query = em.createNativeQuery(
            "SELECT emp_id, name, salary, manager_id, dept_id, address_id, " +
            "id, street, city, state, zip " +
            "FROM emp, address " +
            "WHERE address_id = id",
            "ProfessorWithAddress");
    return query.getResultList();
}

}